from setuptools import setup, find_packages
import sys
from setuptools.command.test import test as TestCommand

# For release:
#
# 1. make sure setup(version) matches intent.
# 2. # make sure README.rst is up to date with any changes.
# 3. "make upload" to get PyPI notified.
# 4. # On PyPI, upload doc.zip ('releases' page)
# 5. # "git add dist/Appli-(version)-py2-none-any.whl && git commit -a"
# 6. # "git tag -a (version)" (like 'v0.4.2')
# Whew.

class PyTest(TestCommand):
    user_options = [('pytest-args=', 'a', "Arguments to pass to py.test")]

    def initialize_options(self):
        TestCommand.initialize_options(self)
        self.pytest_args = []

    def finalize_options(self):
        TestCommand.finalize_options(self)
        self.test_args = []
        self.test_suite = True

    def run_tests(self):
        #import here, cause outside the eggs aren't loaded
        import pytest
        errno = pytest.main(self.pytest_args)
        sys.exit(errno)

setup(
    name = "smack",
    version = "0.0.1",
    description = "Namespace package",
    long_description = """
       |A namespace package reserving this name for submodules
    """,
    url = "http://www.sonicwall.com/us/en/products/secure-mobile-access.html",
    author = "Steve Work",
    author_email = "swork@sonicwall.com",
    license = "Public Domain",
    classifiers = [
        'Development Status :: 3 - Alpha',
        'Environment :: Console',
        'Intended Audience :: Developers',
        'Intended Audience :: System Administrators',
        'License :: Other/Proprietary License',
        'Natural Language :: English',
        'Operating System :: OS Independent',
        'Programming Language :: Python :: 3.4',
        'Topic :: System :: Systems Administration',
    ],
    keywords = "Aventail",

    packages = [ 'smack' ],
    namespace_packages = [ 'smack' ],
    
    tests_require=['pytest'],
    cmdclass = {'test': PyTest},
)
